View Issue Details

IDProjectCategoryView StatusLast Update
0026752LazarusIDEpublic2015-03-04 19:38
ReporterDenis GolovanAssigned ToZeljan Rikalo 
PrioritynormalSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
Product VersionProduct Build 
Target Version1.4Fixed in Version1.5 (SVN) 
Summary0026752: Evaluate/Modify dialog crashes on closing
DescriptionHi

Sometimes (I haven't figured when exactly) "Evaluate/Modify" dialog crashes on closing (pressing Esc). Then I am getting a standard error message asking to close & take risk and proceed.

Stack trace is not that informative:
(lazarus:14464): GLib-CRITICAL **: Source ID 26203 was not found when attempting to remove it
TApplication.HandleException Access violation
  Stack trace:
  $B6FF2CB0
  $001BCE65
  $B6ECC1E0
TagsNo tags attached.
Fixed in Revision48136
LazTarget1.4
WidgetsetGTK 2
Attached Files

Relationships

related to 0027577 closedZeljan Rikalo All modal IDE windows crash on closing 

Activities

Denis Golovan

2014-09-21 11:12

reporter   ~0077479

Tested using Lazarus from svn rev.46208 under Linux x32 GTK2 version.

Juha Manninen

2014-09-21 14:25

developer   ~0077490

A proper backtrace please.
 http://wiki.freepascal.org/Creating_a_Backtrace_with_GDB

Denis Golovan

2015-03-01 12:34

reporter   ~0081531

See Bug 0027577 for details.

Zeljan Rikalo

2015-03-04 17:41

developer   ~0081641

Please test and close if ok.

Denis Golovan

2015-03-04 19:38

reporter   ~0081643

Thanks. Works now.

Issue History

Date Modified Username Field Change
2014-09-21 11:11 Denis Golovan New Issue
2014-09-21 11:12 Denis Golovan Note Added: 0077479
2014-09-21 14:25 Juha Manninen Note Added: 0077490
2014-09-22 09:13 Juha Manninen LazTarget => -
2014-09-22 09:13 Juha Manninen Status new => feedback
2015-03-01 12:34 Denis Golovan Note Added: 0081531
2015-03-01 12:34 Denis Golovan Status feedback => new
2015-03-01 17:15 Juha Manninen Relationship added related to 0027577
2015-03-01 17:18 Zeljan Rikalo Assigned To => Zeljan Rikalo
2015-03-01 17:18 Zeljan Rikalo Status new => assigned
2015-03-04 17:41 Zeljan Rikalo Fixed in Revision => 48136
2015-03-04 17:41 Zeljan Rikalo LazTarget - => 1.4
2015-03-04 17:41 Zeljan Rikalo Note Added: 0081641
2015-03-04 17:41 Zeljan Rikalo Status assigned => resolved
2015-03-04 17:41 Zeljan Rikalo Fixed in Version => 1.5 (SVN)
2015-03-04 17:41 Zeljan Rikalo Resolution open => fixed
2015-03-04 17:41 Zeljan Rikalo Target Version => 1.4
2015-03-04 19:38 Denis Golovan Note Added: 0081643
2015-03-04 19:38 Denis Golovan Status resolved => closed